net.corda.core.contracts

## Interface BilateralNettableState<N extends BilateralNettableState<N>>

- All Known Subinterfaces:
    NettableState<N,T>
  All Known Implementing Classes:
    Obligation.State

      public BilateralNettableState<N extends BilateralNettableState<N>>

  Interface for state objects that support being netted with other state objects.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getBilateralNetState()` Returns an object used to determine if two states can be subject to close-out netting. If two states return equal objects, they can be close out netted together.
    `N` | `net(N other)` Perform bilateral netting of this state with another state. The two states must be compatible (as in bilateralNetState objects are equal).

- - ### Method Detail

    - #### getBilateralNetState

          java.lang.Object getBilateralNetState()

      Returns an object used to determine if two states can be subject to close-out netting. If two states return equal objects, they can be close out netted together.

    - #### net

          N net(N other)

      Perform bilateral netting of this state with another state. The two states must be compatible (as in bilateralNetState objects are equal).